foreman-proxy requires too many packages

01/12/2017 08:26 PM - Raul Dias

Status: Rejected   

Priority: Normal   

Assignee:    

Category: Debian/Ubuntu   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.13.3

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Installing a external proxy (external dhcp), requires too many packages.  Most of them seems useless to the task.

E.g. cpp, make, debus, fakeroot, g++, gcc, dpkg-dev and so on.

Please, make the packages requires what is really necessary.

$ sudo apt-get install foreman-proxy

Reading package lists... Done

Building dependency tree

Reading state information... Done

The following extra packages will be installed:

augeas-lenses binutils build-essential bundler bzip2 cpp cpp-4.9 dbus dmeventd dpkg-dev fakeroot foreman-debug g++ g++-4.9 gcc

gcc-4.9 libalgorithm-diff-perl libalgorithm-diff-xs-perl libalgorithm-merge-perl

libapparmor1 libasan0 libasan1 libatomic1 libaugeas0 libavahi-client3 libavahi-common-data libavahi-common3 libc-dev-bin libc6-dev

libcap-ng0 libcilkrts5 libcloog-isl4 libdbus-1-3 libdevmapper-event1.02.1

libdpkg-perl libfakeroot libfile-fcntllock-perl libgcc-4.8-dev libgcc-4.9-dev libgmp-dev libgmpxx4ldbl libgomp1 libgssrpc4 libisl10 libitm1

libkadm5clnt-mit9 liblsan0 liblvm2cmd2.02 libmpc3 libmpfr4 libnl-3-200

libnl-route-3-200 libnuma1 libquadmath0 libreadline5 libstdc++-4.8-dev libstdc++-4.9-dev libtimedate-perl libtsan0 libubsan0 libvirt0

libyajl2 linux-libc-dev lvm2 make manpages manpages-dev patch rake rsync

ruby-augeas ruby-bundler-ext ruby-dev ruby-ffi ruby-gssapi ruby-json ruby-libvirt ruby-net-http-persistent ruby-rack

ruby-rack-protection ruby-rb-inotify ruby-rkerberos ruby-rubyipmi ruby-sinatra ruby-thor

ruby-tilt ruby2.1-dev sudo unzip xz-utils zip

Suggested packages:

augeas-doc binutils-doc bzip2-doc cpp-doc gcc-4.9-locales dbus-x11 debian-keyring g++-multilib g++-4.9-multilib gcc-4.9-doc

libstdc++6-4.9-dbg gcc-multilib autoconf automake libtool flex bison gdb gcc-doc

gcc-4.9-multilib libgcc1-dbg libgomp1-dbg libitm1-dbg libatomic1-dbg libasan1-dbg liblsan0-dbg libtsan0-dbg libubsan0-dbg

libcilkrts5-dbg libquadmath0-dbg augeas-tools glibc-doc libgmp10-doc libmpfr-dev krb5-doc

krb5-user libstdc++-4.8-doc libstdc++-4.9-doc thin-provisioning-tools make-doc man-browser ed diffutils-doc doc-base

The following NEW packages will be installed:

augeas-lenses binutils build-essential bundler bzip2 cpp cpp-4.9 dbus dmeventd dpkg-dev fakeroot foreman-debug foreman-proxy

g++ g++-4.9 gcc gcc-4.9 libalgorithm-diff-perl libalgorithm-diff-xs-perl

libalgorithm-merge-perl libapparmor1 libasan0 libasan1 libatomic1 libaugeas0 libavahi-client3 libavahi-common-data

libavahi-common3 libc-dev-bin libc6-dev libcap-ng0 libcilkrts5 libcloog-isl4 libdbus-1-3

libdevmapper-event1.02.1 libdpkg-perl libfakeroot libfile-fcntllock-perl libgcc-4.8-dev libgcc-4.9-dev libgmp-dev libgmpxx4ldbl

libgomp1 libgssrpc4 libisl10 libitm1 libkadm5clnt-mit9 liblsan0 liblvm2cmd2.02

libmpc3 libmpfr4 libnl-3-200 libnl-route-3-200 libnuma1 libquadmath0 libreadline5 libstdc++-4.8-dev libstdc++-4.9-dev libtimedate-perl

libtsan0 libubsan0 libvirt0 libyajl2 linux-libc-dev lvm2 make manpages

manpages-dev patch rake rsync ruby-augeas ruby-bundler-ext ruby-dev ruby-ffi ruby-gssapi ruby-json ruby-libvirt

ruby-net-http-persistent ruby-rack ruby-rack-protection ruby-rb-inotify ruby-rkerberos

ruby-rubyipmi ruby-sinatra ruby-thor ruby-tilt ruby2.1-dev sudo unzip xz-utils zip

0 upgraded, 92 newly installed, 0 to remove and 1 not upgraded.

Need to get 63.8 MB of archives.

After this operation, 191 MB of additional disk space will be used.

Do you want to continue? [Y/n]

History
#1 - 01/13/2017 03:57 AM - Dominic Cleal

- Project changed from Installer to Packaging

- Category set to Debian/Ubuntu

- Priority changed from High to Normal

Most of the dependencies come from build-essentials, which the ruby-bundler package recommends.

Build support shouldn't be necessary for foreman-proxy as it uses binary packages, but the recommendation is valid for other cases. foreman-proxy

does have a dependency on ruby-bundler though to perform dependency loading.

If you install with recommendations disabled, it's quite a lot smaller:

# apt-get install --no-install-recommends foreman-proxy

Reading package lists... Done

Building dependency tree       

Reading state information... Done

The following extra packages will be installed:

  augeas-lenses bundler libaugeas0 rake ruby-augeas ruby-bundler-ext ruby-concurrent ruby-net-http-persistent 

ruby-rack ruby-rack-protection ruby-sinatra ruby-thor ruby-tilt

Suggested packages:

  augeas-doc augeas-tools

Recommended packages:

  ruby-dev build-essential ruby-gssapi ruby-rubyipmi ruby-rkerberos ruby-libvirt ruby-rb-inotify foreman-debug

 zip

The following NEW packages will be installed:

  augeas-lenses bundler foreman-proxy libaugeas0 rake ruby-augeas ruby-bundler-ext ruby-concurrent ruby-net-ht

tp-persistent ruby-rack ruby-rack-protection ruby-sinatra ruby-thor ruby-tilt

0 upgraded, 14 newly installed, 0 to remove and 46 not upgraded.

Need to get 1500 kB of archives.

After this operation, 5432 kB of additional disk space will be used.

 You can configure this permanently in apt if you so wish.

#2 - 01/19/2017 07:37 AM - Anonymous

- Status changed from New to Rejected

no reaction, closing.
